scoreboard players set @p WinNight 0

setblock -383 17 61 air
setblock -420 17 31 air
setblock -408 50 64 air
setblock -438 53 39 air
setblock -423 51 16 air
setblock -410 40 56 air
setblock -427 40 39 air
setblock -441 29 28 air
setblock -407 6 49 air
setblock -376 6 50 air
setblock -345 11 61 air

setblock -434 18 51 air
setblock -367 18 52 air
setblock -370 18 67 air
setblock -434 51 66 air
setblock -431 50 31 air
setblock -437 40 58 air
setblock -417 40 39 air
setblock -398 28 25 air
setblock -441 34 40 air
setblock -380 11 80 air
setblock -400 8 41 air

advancement revoke @p only starter:camera

scoreboard players set @p FloorCamera2 0

scoreboard players set @p CrociFloor 1

tp @e[tag=ElevatorTp] -396 61 56

tp @e[type=minecraft:villager] 0 -10000 0

function starter:blackout/transition_end

function starter:nights/animahalb

scoreboard players set @p Start 0
scoreboard players set @p StartTimer 0

function starter:nights/markercamera

scoreboard players set @p Time 0

scoreboard players set @p ElevatorTimer 0

scoreboard players set @p CameraSystem 1

scoreboard players set @p ElevatorMove 1

scoreboard players set @p WinTest 1

scoreboard players set @p FloorMap 1

scoreboard players set @p ElevatorDown 0
scoreboard players set @p ElevatorUp 0

scoreboard players set @e[tag=Restarten] RestartenPoint 0

give @p carrot_on_a_stick{display:{Name:'{"text":"Technictablet","color":"dark_blue","bold":true,"italic":false}'}} 1
give @p warped_fungus_on_a_stick{display:{Name:'{"text":"End Call","color":"gray","bold":true,"italic":false}'}} 1
execute if entity @p[scores={Night=3}] run give @p white_dye{display:{Name:'{"text":"C.F.I Vent. System Map","color":"#C9CF95","bold":true,"italic":false}'}} 1
execute if entity @p[scores={Night=4}] run give @p orange_dye{display:{Name:'{"text":"C.F.I Vent. System Map","color":"#C9CF95","bold":true,"italic":false}'}} 1
execute if entity @p[scores={Night=5..}] run give @p magenta_dye{display:{Name:'{"text":"C.F.I Vent. System Map","color":"#C9CF95","bold":true,"italic":false}'}} 1
execute if entity @p[scores={Night=10..}] run give @p carrot_on_a_stick{display:{Name:'{"text":"Taser","color":"yellow","bold":true,"italic":false}'},CustomModelData:1,Taser:1b} 1

scoreboard players set @p DangerLv 1
scoreboard players set @p Toxic 0
scoreboard players set @p Water 100
scoreboard players set @p Temperature 25

scoreboard players set @p Stats 1

scoreboard players set @p 1a 1

scoreboard players set @p FloorAPower 0
scoreboard players set @p FloorBPower 0
scoreboard players set @p FloorCPower 0
scoreboard players set @p FloorDPower 0
scoreboard players set @p FloorEPower 0

scoreboard players set @p FloorVent 0

scoreboard players set @p Floor 1

scoreboard players set @p Time 1

scoreboard players set @p Nummber 0

scoreboard players set @p BlockJump 0

scoreboard players set @p WinNight 0

scoreboard players set @p SoundNight 1

data merge entity @e[type=armor_stand,limit=1,tag=SweetyPlush1] {Pose:{LeftArm:[-10f,0f,-10f],RightArm:[-10f,0f,10f],Head:[10f,0f,0f],LeftLeg:[-90f,-10f,0f],RightLeg:[-90f,10f,0f]},Rotation:[270f]}
tp @e[tag=SweetyPlush1] -400 61.7 54

summon villager -399 61 54 {NoGravity:1b,Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b,Tags:["Nose","Nose1"],ActiveEffects:[{Id:14,Amplifier:0b,Duration:99999,ShowParticles:0b}],Attributes:[{Name:generic.follow_range,Base:0},{Name:generic.knockback_resistance,Base:1},{Name:generic.movement_speed,Base:0}],Offers:{}}
summon villager -399 61 54 {NoGravity:1b,Silent:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b,Tags:["Camera"],ActiveEffects:[{Id:14,Amplifier:0b,Duration:99999,ShowParticles:0b}],Attributes:[{Name:generic.follow_range,Base:0},{Name:generic.knockback_resistance,Base:1},{Name:generic.movement_speed,Base:0}],Offers:{}}

scoreboard players set @e[tag=Restarten] RestartenPoint 0

scoreboard players set @p SystemFloor 1

function starter:nights/normal

execute if entity @p[scores={Night=1}] run function starter:nights/nights/1
execute if entity @p[scores={Night=2}] run function starter:nights/nights/2
execute if entity @p[scores={Night=3}] run function starter:nights/nights/3
execute if entity @p[scores={Night=4}] run function starter:nights/nights/4
execute if entity @p[scores={Night=5}] run function starter:nights/nights/5
execute if entity @p[scores={Night=6}] run function starter:nights/nights/6
execute if entity @p[scores={Night=7}] run function starter:nights/nights/7
execute if entity @p[scores={Night=8}] run function starter:nights/nights/8
execute if entity @p[scores={Night=9}] run function starter:nights/nights/9
execute if entity @p[scores={Night=10}] run function starter:nights/nights/10
execute if entity @p[scores={Night=11}] run function starter:nights/nights/11

execute if entity @p[scores={Night=6}] run function starter:nights/animatronics/nmwr/reset_n
execute if entity @p[scores={Night=7}] run function starter:nights/animatronics/nmwr/reset_m
execute if entity @p[scores={Night=8}] run function starter:nights/animatronics/nmwr/reset_w
execute if entity @p[scores={Night=9}] run function starter:nights/animatronics/nmwr/reset_r

execute if entity @p[scores={Night=7..}] run function starter:nights/animatronics/nightbear/0_1
execute if entity @p[scores={Night=8..}] run function starter:nights/animatronics/maskclown/0_1
execute if entity @p[scores={Night=9..}] run function starter:nights/animatronics/waiter/0_1
execute if entity @p[scores={Night=10..}] run function starter:nights/animatronics/rex/0_1


function starter:spawn/wolfyvorhangf

function starter:nights/animatronics/wolfy/reset

scoreboard players set @p VentCraw1 0
scoreboard players set @p VentCraw2 0

scoreboard players set @p VentTheme1 0
scoreboard players set @p VentTheme2 0

execute if entity @p[scores={Night=4..}] run function starter:nights/animatronics/joey/reset_night