clear @p

execute if entity @p[scores={Polish=1}] run give @p written_book{pages:['["",{"text":"Jako mechanik naszej lokacji do Twoich obowi\\u0105zków b\\u0119dzie nale\\u017ce\\u0107 co tygodniowa kontrola dzia\\u0142ania animatroników, aby zagwarantowa\\u0107 bezpiecze\\u0144stwo i rozrywk\\u0119 na najlepszym poziomie dla naszych klientów.","color":"#222222"},{"text":"\\n","color":"reset"},{"text":"Skontrolowa\\u0107 nale\\u017cy dzia\\u0142anie: oczu, g\\u0142owy, g\\u0142o\\u015bnika oraz","color":"#222222"}]','{"text":"dolnych, jak i górnych ko\\u0144czyn. Przy u\\u017cyciu naszego nowego tabletu, mo\\u017cesz przeprowadzi\\u0107 kontrol\\u0119 bardzo sprawnie i bezproblemowo, wystarczy po\\u0142\\u0105czy\\u0107 si\\u0119 z animatronikiem z odpowiednio bliskiego dystansu. Najpierw sprawd\\u017a dzia\\u0142anie mechanizmów poprzez","color":"#222222"}','{"text":"funkcj\\u0119 \\"Testuj\\", je\\u017celi jedna z nich oka\\u017ce si\\u0119 zepsuta nale\\u017cy wybra\\u0107 na tablecie funkcj\\u0119 \\"Napraw\\". Przy naprawie u\\u017cywaj klucza b\\u0105d\\u017a \\u015brubokr\\u0119tu. \\u015arubokr\\u0119t sprzyda ci si\\u0119 do naprawy oczu oraz g\\u0142o\\u015bnika, klucz natomiast do naprawy ca\\u0142ej reszty.","color":"#222222"}','{"text":"Przy ko\\u0144czynach i g\\u0142owie przydadz\\u0105 ci si\\u0119 kable. Przy ko\\u0144czynach górnych, kabel nale\\u017cy umie\\u015bci\\u0107 w animatroniku gdy r\\u0119ka jest maksymalnie odchylona. Gdy ominiesz odpowiedni moment, nie przejmuj si\\u0119! Kliknij \\"Napraw\\" i mo\\u017cesz rozpocz\\u0105\\u0107 napraw\\u0119 od nowa. Pami\\u0119taj przy","color":"#222222"}','{"text":"wyci\\u0105ganiu oczu robota by wymieniane oko by\\u0142o takiego samego koloru jak to zepsute. Przy uszkodzeniu g\\u0142o\\u015bnika - wymie\\u0144 go. Ostatni\\u0105 rzecz\\u0105 jest rdza, któr\\u0105 mo\\u017cesz usun\\u0105\\u0107 specja\\nlnie przezna czonym do tego sprayem. Otrzymasz roztwory o 3 ró\\u017cnych st\\u0119\\u017ceniach, \\nodpowiednio","color":"#222222"}','{"text":"redukuj\\u0105cych rdz\\u0119. Pami\\u0119taj jednak by nie przesadzi\\u0107 ze sprayem , za du\\u017ce st\\u0119\\u017cenie mo\\u017ce zniszczy\\u0107 pow\\u0142ok\\u0119 robota. To wszystko co musi Pan wiedzie\\u0107, prosz\\u0119 wi\\u0119c przetestowa\\u0107 maszyny i zabra\\u0107 si\\u0119 do pracy i pami\\u0119ta\\u0107 przede wszystkim o bezpiecze\\u0144stwie.","color":"#222222"}'],title:"Wprowadzenie do Mechaniki",author:"T.S.E",generation:3}
execute if entity @p[scores={English=1}] run give @p written_book{pages:['{"text":"As a mechanic of our location, you will be responsible for checking the functioning of the animatronics on a weekly basis to ensure safety and entertainment at the best level for our customers.","color":"#222222"}','["",{"text":"Check the operation of: eyes, head, speaker, and lower and upper limbs.","color":"#222222"},{"text":"\\n","color":"reset"},{"text":"Using our new tablet, you can carry out the control very efficiently and without any problems, just connect with the animatronic from a sufficiently close distance.","color":"#222222"}]','["",{"text":"First, check the operation of the mechanisms through the \\"Test\\" function, if one of them turns out to be broken, select the \\"Repair\\" function on the tablet.","color":"#222222"},{"text":"\\n","color":"reset"},{"text":"Use a wrench or screwdriver when repairing.","color":"#222222"}]','{"text":"You\'ll need a screwdriver to repair the eyes and the speaker, and a wrench to fix everything else. \\u0020You will need to insert cables near the limbs and head. \\u0020At the upper limbs, the cable should be inserted into the animatronic when the hand is fully extended.","color":"#222222"}','{"text":"When you miss the right moment, don\'t worry! \\u0020Click \\"Repair\\" and you can start repairing again. While switching out the eyes of the animatronic make sure that the eye being replaced is the same color as the damaged one. If the speaker is damaged - replace it.","color":"#222222"}','{"text":"The last thing is rust, which you can remove with a specially designed spray. You will get solutions with 3 different concentrations to reduce the rust. \\u0020Remember, however, not to overdo it with the spray,","color":"#222222"}','{"text":"too much concentration can damage the robot\'s coating. That\'s all you need to know. So test the machines and get to work because safety comes first.","color":"#222222"}'],title:"Introduction to Mechanics",author:"T.S.E",generation:3}

give @p carrot_on_a_stick{display:{Name:'{"text":"CheckControll","color":"dark_red","bold":true,"italic":false}'},CustomModelData:2} 1

give @p warped_fungus_on_a_stick{display:{Name:'{"text":"Wrench","color":"dark_gray","bold":true,"italic":false}'},CustomModelData:3} 1
give @p warped_fungus_on_a_stick{display:{Name:'{"text":"Screwdriver","color":"dark_gray","bold":true,"italic":false}'},CustomModelData:2} 1

give @p warped_fungus_on_a_stick{display:{Name:'{"text":"Aerosol Spray 3x","color":"dark_gray","bold":true,"italic":false}'},CustomModelData:4} 1
give @p warped_fungus_on_a_stick{display:{Name:'{"text":"Aerosol Spray 6x","color":"dark_gray","bold":true,"italic":false}'},CustomModelData:4} 1
give @p warped_fungus_on_a_stick{display:{Name:'{"text":"Aerosol Spray 8x","color":"dark_gray","bold":true,"italic":false}'},CustomModelData:4} 1

give @p redstone{display:{Name:'{"text":"Cable","italic":false}'}} 5
give @p pumpkin_seeds{display:{Name:'{"text":"Voicebox","italic":false}'}} 1

give @p minecraft:black_dye{display:{Name:'{"text":"Fake Eye","italic":false}'}} 1
give @p minecraft:gray_dye{display:{Name:'{"text":"Fake Eye","italic":false}'}} 1
give @p minecraft:light_blue_dye{display:{Name:'{"text":"Fake Eye","italic":false}'}} 1
give @p minecraft:green_dye{display:{Name:'{"text":"Fake Eye","italic":false}'}} 1
give @p minecraft:lime_dye{display:{Name:'{"text":"Fake Eye","italic":false}'}} 1
give @p minecraft:light_gray_dye{display:{Name:'{"text":"Fake Eye","italic":false}'}} 1
give @p minecraft:cyan_dye{display:{Name:'{"text":"Fake Eye","italic":false}'}} 1
give @p minecraft:blue_dye{display:{Name:'{"text":"Fake Eye","italic":false}'}} 1
give @p minecraft:brown_dye{display:{Name:'{"text":"Fake Eye","italic":false}'}} 1
